# Dotdrop
alias dotdrop="$HOME/etc/dotdrop.sh" --cfg="$HOME/etc/config.yaml"

# zmv
alias zcp='zmv -C'
alias zln='zmv -L'

alias path='print -l $path'
alias mkdir='mkdir -pv'

# APT
alias aptu='sudo apt-get update'
alias aptn='sudo apt-get update && sudo apt-get dist-upgrade'
alias apti='sudo apt-get install'
alias aptp='sudo apt-get purge'
alias aptr='sudo apt-get remove'
alias aptc='sudo apt-get --purge autoremove'
alias aptk='sudo apt-key add'
alias apts='apt-cache show'
aptf() {
	[ -z $1 ] && return 1
	if [ -z $2 ]; then
		apt-cache search $1
	else
		apt-cache search $1 | grep $2
	fi
}

# Youtube
if command -v youtube-dl; then
	alias ydlbest="youtube-dl --merge-output-format mkv -f 'bestvideo+bestaudio'"
	alias ydlaudio="youtube-dl -f bestaudio"
	alias ydl="youtube-dl --merge-output-format mkv"
fi

# feh
command -v feg && alias feh="feh --cache-size 256 --version-sort --sort filename --image-bg black"

# git
alias gpa="git remote | xargs -L1 git push --all"
alias gu="git pull"
alias gur="git pull --recurse-submodules"
alias gsui="git submodule update --recursive --init"
alias gsur="git submodule update --recursive --init --remote"
command -v lazygit && alias lg=lazygit

# Фильтры (H,T,G,L определены в common-aliases)
alias -g NN='&>/dev/null'

alias -g S='| sort'
alias -g SU='| sort -u'

alias -g S0='| sort -z'
alias -g SU0='| sort -u -z'

alias -g X='| xargs'
alias -g X0='| xargs -0'

alias -g XS='| sort | xargs'
alias -g XS0='| sort -z | xargs -0'

audio-join() ffmpeg -i "concat:${(j:|:)@[2,-1]}" -acodec copy $1
